import _m0 from "protobufjs/minimal";
import { Any } from "./google/protobuf/any";
export declare const protobufPackage = "pocketjs";
export interface ProtoStdTx {
    msg: Any | undefined;
    fee: Coin[];
    signature: ProtoStdSignature | undefined;
    memo: string;
    entropy: number;
}
export interface ProtoStdSignature {
    publicKey: Uint8Array;
    Signature: Uint8Array;
}
export interface StdSignDoc {
    ChainID: string;
    fee: Uint8Array;
    memo: string;
    msg: Uint8Array;
    entropy: number;
}
export interface Coin {
    denom: string;
    amount: string;
}
/**
 * DecCoin defines a token with a denomination and a decimal amount.
 *
 * NOTE: The amount field is an Dec which implements the custom method
 * signatures required by gogoproto.
 */
export interface DecCoin {
    denom: string;
    amount: string;
}
export interface MsgProtoStake {
    pubKey: Uint8Array;
    chains: string[];
    value: string;
}
export interface MsgBeginUnstake {
    Address: Uint8Array;
}
export interface MsgUnjail {
    AppAddr: Uint8Array;
}
export interface MsgProtoNodeStake8 {
    Publickey: Uint8Array;
    Chains: string[];
    value: string;
    ServiceUrl: string;
    OutAddress: Uint8Array;
}
export interface MsgBeginNodeUnstake8 {
    Address: Uint8Array;
    Signer: Uint8Array;
}
export interface MsgNodeUnjail {
    ValidatorAddr: Uint8Array;
}
export interface MsgNodeUnjail8 {
    ValidatorAddr: Uint8Array;
    Signer: Uint8Array;
}
export interface MsgSend {
    FromAddress: Uint8Array;
    ToAddress: Uint8Array;
    amount: string;
}
export declare const ProtoStdTx: {
    encode(message: ProtoStdTx, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): ProtoStdTx;
    fromJSON(object: any): ProtoStdTx;
    toJSON(message: ProtoStdTx): unknown;
    fromPartial(object: DeepPartial<ProtoStdTx>): ProtoStdTx;
};
export declare const ProtoStdSignature: {
    encode(message: ProtoStdSignature, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): ProtoStdSignature;
    fromJSON(object: any): ProtoStdSignature;
    toJSON(message: ProtoStdSignature): unknown;
    fromPartial(object: DeepPartial<ProtoStdSignature>): ProtoStdSignature;
};
export declare const StdSignDoc: {
    encode(message: StdSignDoc, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): StdSignDoc;
    fromJSON(object: any): StdSignDoc;
    toJSON(message: StdSignDoc): unknown;
    fromPartial(object: DeepPartial<StdSignDoc>): StdSignDoc;
};
export declare const Coin: {
    encode(message: Coin, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): Coin;
    fromJSON(object: any): Coin;
    toJSON(message: Coin): unknown;
    fromPartial(object: DeepPartial<Coin>): Coin;
};
export declare const DecCoin: {
    encode(message: DecCoin, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): DecCoin;
    fromJSON(object: any): DecCoin;
    toJSON(message: DecCoin): unknown;
    fromPartial(object: DeepPartial<DecCoin>): DecCoin;
};
export declare const MsgProtoStake: {
    encode(message: MsgProtoStake, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgProtoStake;
    fromJSON(object: any): MsgProtoStake;
    toJSON(message: MsgProtoStake): unknown;
    fromPartial(object: DeepPartial<MsgProtoStake>): MsgProtoStake;
};
export declare const MsgBeginUnstake: {
    encode(message: MsgBeginUnstake, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgBeginUnstake;
    fromJSON(object: any): MsgBeginUnstake;
    toJSON(message: MsgBeginUnstake): unknown;
    fromPartial(object: DeepPartial<MsgBeginUnstake>): MsgBeginUnstake;
};
export declare const MsgUnjail: {
    encode(message: MsgUnjail, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgUnjail;
    fromJSON(object: any): MsgUnjail;
    toJSON(message: MsgUnjail): unknown;
    fromPartial(object: DeepPartial<MsgUnjail>): MsgUnjail;
};
export declare const MsgProtoNodeStake8: {
    encode(message: MsgProtoNodeStake8, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgProtoNodeStake8;
    fromJSON(object: any): MsgProtoNodeStake8;
    toJSON(message: MsgProtoNodeStake8): unknown;
    fromPartial(object: DeepPartial<MsgProtoNodeStake8>): MsgProtoNodeStake8;
};
export declare const MsgBeginNodeUnstake8: {
    encode(message: MsgBeginNodeUnstake8, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgBeginNodeUnstake8;
    fromJSON(object: any): MsgBeginNodeUnstake8;
    toJSON(message: MsgBeginNodeUnstake8): unknown;
    fromPartial(object: DeepPartial<MsgBeginNodeUnstake8>): MsgBeginNodeUnstake8;
};
export declare const MsgNodeUnjail: {
    encode(message: MsgNodeUnjail, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgNodeUnjail;
    fromJSON(object: any): MsgNodeUnjail;
    toJSON(message: MsgNodeUnjail): unknown;
    fromPartial(object: DeepPartial<MsgNodeUnjail>): MsgNodeUnjail;
};
export declare const MsgNodeUnjail8: {
    encode(message: MsgNodeUnjail8, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgNodeUnjail8;
    fromJSON(object: any): MsgNodeUnjail8;
    toJSON(message: MsgNodeUnjail8): unknown;
    fromPartial(object: DeepPartial<MsgNodeUnjail8>): MsgNodeUnjail8;
};
export declare const MsgSend: {
    encode(message: MsgSend, writer?: _m0.Writer): _m0.Writer;
    decode(input: _m0.Reader | Uint8Array, length?: number | undefined): MsgSend;
    fromJSON(object: any): MsgSend;
    toJSON(message: MsgSend): unknown;
    fromPartial(object: DeepPartial<MsgSend>): MsgSend;
};
declare type Builtin = Date | Function | Uint8Array | string | number | boolean | undefined;
export declare type DeepPartial<T> = T extends Builtin ? T : T extends Array<infer U> ? Array<DeepPartial<U>> : T extends ReadonlyArray<infer U> ? ReadonlyArray<DeepPartial<U>> : T extends {} ? {
    [K in keyof T]?: DeepPartial<T[K]>;
} : Partial<T>;
export {};
//# sourceMappingURL=tx-signer.d.ts.map